000016768 - APP 3.0.4 Patch 25  odd prompts asking 'replace lib-64/libsystemtools.so? [y]es  [n]o  [A]ll  [N]one  [r]ename: '

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000016768
Applies ToRSA Appliance 3.0 SP4
IssueAPP 3.0.4 Patch 25, odd prompts asking "replace lib-64/libsystemtools.so? [y]es, [n]o, [A]ll, [N]one, [r]ename: "

This abnormal/unusual prompt is displayed when applying patch 25:

"replace lib-64/libsystemtools.so? [y]es, [n]o, [A]ll, [N]one, [r]ename:"


appliance 3.0.4 Patch 25 error message "replace lib-64/libsystemtools.so? [y]es, [n]o, [A]ll, [N]one, [r]ename: "
CauseAn incorrect login sequence was used to become rsaadmin (you must use sudo su rsaadmin, not just su)
When the proper login syntax is not used, a home directory entry for the patch, i.e. /home/rsaadmin/patch25 will not to be created.
ResolutionSSH to the appliance as emcsrv,   hen issue sudo su  rsaadmin.  Do not simply issue su rsaadmin.  Using su alone will not set the appropriate environment variables.
Be certain that a directory off of /home/rsaadmin was created, and that the patch unzipping process is done from /tmp as specified in the readme (do not use alternate paths)

If the zipfile was loaded into an alternate directory such as /updates , you must explicitly define it when unzipping the patch, for example if you choose to use /update:


unzip /updates/am-7.1-sp4-p<patch number>-appliance.zip

This will insure /home/rsaadmin/patch25 is created for the patch installer to use when it is called from the patch.

Legacy Article IDa61560

Attachments

    Outcomes